#ifndef MAINFRM_H
#define MAINFRM_H

class CMainFrame : public CMDIFrameWndEx
{
    DECLARE_DYNCREATE(CMainFrame)
public:
    CMainFrame(int index);
    virtual ~CMainFrame();
    void SetName(CString name);
    void TabWindow(HWND hWnd);
    CMDIChildWnd* CreateNewChild(CRuntimeClass* pClass, UINT nResources, HMENU hMenu /* = NULL */, HACCEL hAccel /* = NULL */);
    void PostNcDestroy();
    afx_msg void OnClose();
    void decIndex();

protected:
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnEnterMenuLoop(BOOL bIsTrackPopupMenu);
    afx_msg void OnTrackWindows(UINT nID);
    afx_msg void OnRenameWindow();
    DECLARE_MESSAGE_MAP()
    HMENU m_hMDIMenu;
    HACCEL m_hMDIAccel;
    int m_index;
    CString m_name;
};

#endif
